public inbox for gentoo-commits@lists.gentoo.org
 help / color / mirror / Atom feed
* [gentoo-commits] repo/gentoo:master commit in: app-benchmarks/iozone/
@ 2015-12-21 15:09 Patrick Lauer
  0 siblings, 0 replies; 21+ messages in thread
From: Patrick Lauer @ 2015-12-21 15:09 UTC (permalink / raw
  To: gentoo-commits

commit:     f1b98ece7359de0102e850adfefb1888e6b331aa
Author:     Patrick Lauer <patrick <AT> gentoo <DOT> org>
AuthorDate: Mon Dec 21 15:09:22 2015 +0000
Commit:     Patrick Lauer <patrick <AT> gentoo <DOT> org>
CommitDate: Mon Dec 21 15:09:22 2015 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=f1b98ece

app-benchmarks/iozone: Bump, #562790

 app-benchmarks/iozone/Manifest            |  1 +
 app-benchmarks/iozone/iozone-3.430.ebuild | 73 +++++++++++++++++++++++++++++++
 2 files changed, 74 insertions(+)

diff --git a/app-benchmarks/iozone/Manifest b/app-benchmarks/iozone/Manifest
index a3d21fa..3fc4760 100644
--- a/app-benchmarks/iozone/Manifest
+++ b/app-benchmarks/iozone/Manifest
@@ -1,2 +1,3 @@
 DIST iozone3_397.tar 1679360 SHA256 213d8dcc6f70ca93a903b5fbb92cf758fd25617db4c65d188d29594f12b30d30 SHA512 e154b56735c922173e7cf23344fa0a478982d202b3b831fd605481f69a77295281be121aa57a0164dc12edf5975f231339f6516da5c40906586d48ebacec7c23 WHIRLPOOL 3c041e9c0b094b0e995341d11ef1da746faa0c0dcf615905d16cead7dd9ab84d5d6d301a70358d3a64ceac80a1331054ad31ca6771dd68e5135e7a92f7662d9c
 DIST iozone3_408.tar 1822720 SHA256 2112f8a125df8c627760ee2d6d2bd68617ca18e5a312da74175747f225b3fdf5 SHA512 ebc808468c741fff8d7909abd7eb41303c2a68c21ed7754e12bb6f859a88a9f9d040e0cdde42cb320958fbd453ba6014ba46fb7cfb200155f55a6fa7803f5d44 WHIRLPOOL 670a725e68f64f4029a5168839007af35d874b027e770e2cb1b20487a34be2f283b1a4371784b6108beab75952b55684600d146157ec0421e5540def654d9935
+DIST iozone3_430.tar 1832960 SHA256 e8388238326dc29359e5cb9f790d193f1e1bdadfbf260e010c50fa682387faed SHA512 f513c1a34bcdfadca0d01a942d55c7494e5646cf17384140df42643259456d41e40a54453ab3b9a1f1ebdeb456a9b4b1f836f979927cac57391b9a20ecdbcb55 WHIRLPOOL bf8074ddfdf63879a84176d5cde3fb00f2fa5f84d7adfce777b8ffa53fa33c97bff7ad37aec45e8271b9cbf723e57fbb0704720ee6d06193deee96ca841b9203

diff --git a/app-benchmarks/iozone/iozone-3.430.ebuild b/app-benchmarks/iozone/iozone-3.430.ebuild
new file mode 100644
index 0000000..d778221
--- /dev/null
+++ b/app-benchmarks/iozone/iozone-3.430.ebuild
@@ -0,0 +1,73 @@
+# Copyright 1999-2012 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+# TODO
+#        ->   linux-arm            (32bit)   <-
+#        ->   linux-AMD64          (64bit)   <-
+#        ->   linux-ia64           (64bit)   <-
+#        ->   linux-powerpc        (32bit)   <-
+#        ->   linux-powerpc64      (64bit)   <-
+#        ->   linux-S390           (32bit)   <-
+#        ->   linux-S390X          (64bit)   <-
+#
+#        ->   freebsd              (32bit)   <-
+#        ->   macosx               (32bit)   <-
+#        ->   netbsd               (32bit)   <-
+#        ->   openbsd              (32bit)   <-
+#        ->   openbsd-threads      (32bit)   <-
+#
+# ~ia64 ~s390 alpha(?) x86-fbsd
+
+inherit eutils toolchain-funcs
+
+DESCRIPTION="Filesystem benchmarking program"
+HOMEPAGE="http://www.iozone.org/"
+SRC_URI="http://www.iozone.org/src/current/${PN}${PV/./_}.tar"
+
+LICENSE="freedist"
+SLOT="0"
+KEYWORDS="~amd64 ~arm ~ia64 ~ppc ~ppc64 ~sparc ~x86"
+IUSE=""
+
+S=${WORKDIR}/${PN}${PV/./_}
+
+src_compile() {
+	cd src/current
+
+	# Options FIX
+	sed -i -e "s:CC	=.*:CC	=$(tc-getCC):g" \
+		-e "s:-O3:${CFLAGS}:g" makefile
+
+	case ${ARCH} in
+		x86|alpha)	PLATFORM="linux";;
+		arm)		PLATFORM="linux-arm";;
+		ppc)		PLATFORM="linux-powerpc";;
+		ppc64)		PLATFORM="linux-powerpc64";;
+		amd64)		PLATFORM="linux-AMD64";;
+		ia64)		PLATFORM="linux-ia64";;
+		s390)		PLATFORM="linux-S390";;
+		x86-fbsd)	PLATFORM="freebsd";;
+		*)			PLATFORM="linux-${ARCH}";;
+	esac
+
+	emake ${PLATFORM} || die "Compile failed"
+}
+
+src_install() {
+	dosbin src/current/iozone
+	dosbin src/current/fileop
+	dodoc docs/I*
+	dodoc docs/Run_rules.doc
+	dodoc src/current/Changes.txt
+	doman docs/iozone.1
+
+	insinto /usr/share/doc/${PF}
+	cd src/current
+	doins Generate_Graphs Gnuplot.txt gengnuplot.sh gnu3d.dem
+}
+
+src_test() {
+	cd "${T}"
+	"${S}"/src/current/iozone testfile || die "self test failed"
+}


^ permalink raw reply related	[flat|nested] 21+ messages in thread

* [gentoo-commits] repo/gentoo:master commit in: app-benchmarks/iozone/
@ 2017-10-08 11:00 Michał Górny
  0 siblings, 0 replies; 21+ messages in thread
From: Michał Górny @ 2017-10-08 11:00 UTC (permalink / raw
  To: gentoo-commits

commit:     a03c28b79d28b811f4b334c5d239058040c068f0
Author:     Michał Górny <mgorny <AT> gentoo <DOT> org>
AuthorDate: Sun Oct  8 10:58:22 2017 +0000
Commit:     Michał Górny <mgorny <AT> gentoo <DOT> org>
CommitDate: Sun Oct  8 11:00:18 2017 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=a03c28b7

app-benchmarks/iozone: Strip empty metadata.xml elements

 app-benchmarks/iozone/metadata.xml | 1 -
 1 file changed, 1 deletion(-)

diff --git a/app-benchmarks/iozone/metadata.xml b/app-benchmarks/iozone/metadata.xml
index 60218d00dfe..ae3cf8b035b 100644
--- a/app-benchmarks/iozone/metadata.xml
+++ b/app-benchmarks/iozone/metadata.xml
@@ -6,5 +6,4 @@
     <name>Patrick Lauer</name>
     <description>A Filesystem benchmark tool</description>
 </maintainer>
-<longdescription/>
 </pkgmetadata>


^ permalink raw reply related	[flat|nested] 21+ messages in thread

* [gentoo-commits] repo/gentoo:master commit in: app-benchmarks/iozone/
@ 2017-12-28 15:07 David Seifert
  0 siblings, 0 replies; 21+ messages in thread
From: David Seifert @ 2017-12-28 15:07 UTC (permalink / raw
  To: gentoo-commits

commit:     86518e1c9c3ddf29bdcf25d81bbb2657b9ceaa81
Author:     David Seifert <soap <AT> gentoo <DOT> org>
AuthorDate: Thu Dec 28 13:29:42 2017 +0000
Commit:     David Seifert <soap <AT> gentoo <DOT> org>
CommitDate: Thu Dec 28 15:06:32 2017 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=86518e1c

app-benchmarks/iozone: Version bump to 3.471

Package-Manager: Portage-2.3.19, Repoman-2.3.6

 app-benchmarks/iozone/Manifest            |  1 +
 app-benchmarks/iozone/iozone-3.471.ebuild | 74 +++++++++++++++++++++++++++++++
 2 files changed, 75 insertions(+)

diff --git a/app-benchmarks/iozone/Manifest b/app-benchmarks/iozone/Manifest
index 81e210aa3fc..0aa3f3722d3 100644
--- a/app-benchmarks/iozone/Manifest
+++ b/app-benchmarks/iozone/Manifest
@@ -1,3 +1,4 @@
 DIST iozone3_397.tar 1679360 BLAKE2B 174d4ef11fb986f4b8bbf95774f6bf22659fb9e5a38fcd0626be8bd89303e775a9d8bc632575896885a9974239205bd3b3541da71b48bf30f80234ab577eb4eb SHA512 e154b56735c922173e7cf23344fa0a478982d202b3b831fd605481f69a77295281be121aa57a0164dc12edf5975f231339f6516da5c40906586d48ebacec7c23
 DIST iozone3_408.tar 1822720 BLAKE2B 700f531addb42525b5a3e8caaabfb8e03f7d7d1fa840a840462e88bd127b508e73f4bb1362bdef1e9f1b2044b42f54ab3811e674789f1fb8d7047b15565e8ee6 SHA512 ebc808468c741fff8d7909abd7eb41303c2a68c21ed7754e12bb6f859a88a9f9d040e0cdde42cb320958fbd453ba6014ba46fb7cfb200155f55a6fa7803f5d44
 DIST iozone3_430.tar 1832960 BLAKE2B 2d8cb85d444a9505550bf4a6951a83531427ba8e4493ffdd13c9435ce07452fbbd529602a7b13b120d276fd95c76609f4d47a58ff490120272b7fcb3650711e4 SHA512 f513c1a34bcdfadca0d01a942d55c7494e5646cf17384140df42643259456d41e40a54453ab3b9a1f1ebdeb456a9b4b1f836f979927cac57391b9a20ecdbcb55
+DIST iozone3_471.tar 1853440 BLAKE2B 280c821a439ad1bacbd749278385481678d644a59c14395482c8a088b0578285f389f376fb32ce3c3abde598f50d693fb0c7c9a3d6597765547a71c76d21ea1c SHA512 c61b2b8b5af3dccdb99b26aef8a0a4f2f5f467fc3985ac72ed4bb4fb36e4b7684ca6dbaa5bbc05ae0a4e73852e048e9fd2495eda9313f5abc4e631499d683aec

diff --git a/app-benchmarks/iozone/iozone-3.471.ebuild b/app-benchmarks/iozone/iozone-3.471.ebuild
new file mode 100644
index 00000000000..f65231ed5f2
--- /dev/null
+++ b/app-benchmarks/iozone/iozone-3.471.ebuild
@@ -0,0 +1,74 @@
+# Copyright 1999-2017 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=6
+
+# TODO
+#        ->   linux-arm            (32bit)   <-
+#        ->   linux-AMD64          (64bit)   <-
+#        ->   linux-ia64           (64bit)   <-
+#        ->   linux-powerpc        (32bit)   <-
+#        ->   linux-powerpc64      (64bit)   <-
+#        ->   linux-S390           (32bit)   <-
+#        ->   linux-S390X          (64bit)   <-
+#
+#        ->   freebsd              (32bit)   <-
+#        ->   macosx               (32bit)   <-
+#        ->   netbsd               (32bit)   <-
+#        ->   openbsd              (32bit)   <-
+#        ->   openbsd-threads      (32bit)   <-
+#
+# ~ia64 ~s390 alpha(?) x86-fbsd
+
+inherit toolchain-funcs
+
+DESCRIPTION="Filesystem benchmarking program"
+HOMEPAGE="http://www.iozone.org/"
+SRC_URI="http://www.iozone.org/src/current/${PN}${PV/./_}.tar"
+
+LICENSE="freedist"
+SLOT="0"
+KEYWORDS="~amd64 ~arm ~ia64 ~ppc ~ppc64 ~sparc ~x86"
+IUSE=""
+
+S=${WORKDIR}/${PN}${PV/./_}
+
+src_prepare() {
+	default
+
+	# Options FIX
+	sed -i -e "s:CC	=.*:CC	=$(tc-getCC):g" \
+		-e "s:-O3:${CFLAGS}:g" src/current/makefile || die
+}
+
+src_configure() {
+	case ${ARCH} in
+		x86|alpha)	PLATFORM="linux";;
+		arm)		PLATFORM="linux-arm";;
+		ppc)		PLATFORM="linux-powerpc";;
+		ppc64)		PLATFORM="linux-powerpc64";;
+		amd64)		PLATFORM="linux-AMD64";;
+		ia64)		PLATFORM="linux-ia64";;
+		s390)		PLATFORM="linux-S390";;
+		x86-fbsd)	PLATFORM="freebsd";;
+		*)			PLATFORM="linux-${ARCH}";;
+	esac
+}
+
+src_compile() {
+	emake -C src/current ${PLATFORM}
+}
+
+src_test() {
+	cd "${T}" || die
+	"${S}"/src/current/iozone testfile || die "self test failed"
+}
+
+src_install() {
+	dosbin src/current/{iozone,fileop}
+
+	dodoc docs/I* docs/Run_rules.doc src/current/Changes.txt
+	doman docs/iozone.1
+	cd src/current || die
+	dodoc Generate_Graphs Gnuplot.txt gengnuplot.sh gnu3d.dem
+}


^ permalink raw reply related	[flat|nested] 21+ messages in thread

* [gentoo-commits] repo/gentoo:master commit in: app-benchmarks/iozone/
@ 2018-04-16 22:54 Aaron Bauman
  0 siblings, 0 replies; 21+ messages in thread
From: Aaron Bauman @ 2018-04-16 22:54 UTC (permalink / raw
  To: gentoo-commits

commit:     626fb80299f0ea978b6619a24632ac0de54f4092
Author:     Aaron Bauman <bman <AT> gentoo <DOT> org>
AuthorDate: Mon Apr 16 22:54:08 2018 +0000
Commit:     Aaron Bauman <bman <AT> gentoo <DOT> org>
CommitDate: Mon Apr 16 22:54:08 2018 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=626fb802

app-benchmarks/iozone: amd64 stable wrt bug #653336

Bug: https://bugs.gentoo.org/653336
Package-Manager: Portage-2.3.28, Repoman-2.3.9

 app-benchmarks/iozone/iozone-3.471.ebuild | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

diff --git a/app-benchmarks/iozone/iozone-3.471.ebuild b/app-benchmarks/iozone/iozone-3.471.ebuild
index f65231ed5f2..3fb09fe74d3 100644
--- a/app-benchmarks/iozone/iozone-3.471.ebuild
+++ b/app-benchmarks/iozone/iozone-3.471.ebuild
@@ -1,4 +1,4 @@
-# Copyright 1999-2017 Gentoo Foundation
+# Copyright 1999-2018 Gentoo Foundation
 # Distributed under the terms of the GNU General Public License v2
 
 EAPI=6
@@ -28,7 +28,7 @@ SRC_URI="http://www.iozone.org/src/current/${PN}${PV/./_}.tar"
 
 LICENSE="freedist"
 SLOT="0"
-KEYWORDS="~amd64 ~arm ~ia64 ~ppc ~ppc64 ~sparc ~x86"
+KEYWORDS="amd64 ~arm ~ia64 ~ppc ~ppc64 ~sparc ~x86"
 IUSE=""
 
 S=${WORKDIR}/${PN}${PV/./_}


^ permalink raw reply related	[flat|nested] 21+ messages in thread

* [gentoo-commits] repo/gentoo:master commit in: app-benchmarks/iozone/
@ 2018-04-17 22:09 Thomas Deutschmann
  0 siblings, 0 replies; 21+ messages in thread
From: Thomas Deutschmann @ 2018-04-17 22:09 UTC (permalink / raw
  To: gentoo-commits

commit:     ab6d7808673ff94dc3dd7b72d7c2c26ae0cd87bd
Author:     Thomas Deutschmann <whissi <AT> gentoo <DOT> org>
AuthorDate: Tue Apr 17 22:03:01 2018 +0000
Commit:     Thomas Deutschmann <whissi <AT> gentoo <DOT> org>
CommitDate: Tue Apr 17 22:09:31 2018 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=ab6d7808

app-benchmarks/iozone: x86 stable (bug #653336)

Package-Manager: Portage-2.3.30, Repoman-2.3.9

 app-benchmarks/iozone/iozone-3.471.ebuild | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

diff --git a/app-benchmarks/iozone/iozone-3.471.ebuild b/app-benchmarks/iozone/iozone-3.471.ebuild
index 3fb09fe74d3..d1891b13be2 100644
--- a/app-benchmarks/iozone/iozone-3.471.ebuild
+++ b/app-benchmarks/iozone/iozone-3.471.ebuild
@@ -28,7 +28,7 @@ SRC_URI="http://www.iozone.org/src/current/${PN}${PV/./_}.tar"
 
 LICENSE="freedist"
 SLOT="0"
-KEYWORDS="amd64 ~arm ~ia64 ~ppc ~ppc64 ~sparc ~x86"
+KEYWORDS="amd64 ~arm ~ia64 ~ppc ~ppc64 ~sparc x86"
 IUSE=""
 
 S=${WORKDIR}/${PN}${PV/./_}


^ permalink raw reply related	[flat|nested] 21+ messages in thread

* [gentoo-commits] repo/gentoo:master commit in: app-benchmarks/iozone/
@ 2018-04-20  6:54 Sergei Trofimovich
  0 siblings, 0 replies; 21+ messages in thread
From: Sergei Trofimovich @ 2018-04-20  6:54 UTC (permalink / raw
  To: gentoo-commits

commit:     78273a1e3646799068a1955cf65a314e31906193
Author:     Sergei Trofimovich <slyfox <AT> gentoo <DOT> org>
AuthorDate: Fri Apr 20 06:52:19 2018 +0000
Commit:     Sergei Trofimovich <slyfox <AT> gentoo <DOT> org>
CommitDate: Fri Apr 20 06:53:55 2018 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=78273a1e

app-benchmarks/iozone: stable 3.471 for ia64, bug #653336

Bug: https://bugs.gentoo.org/653336
Package-Manager: Portage-2.3.28, Repoman-2.3.9
RepoMan-Options: --include-arches="ia64"

 app-benchmarks/iozone/iozone-3.471.ebuild | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

diff --git a/app-benchmarks/iozone/iozone-3.471.ebuild b/app-benchmarks/iozone/iozone-3.471.ebuild
index d1891b13be2..c91f04be7b3 100644
--- a/app-benchmarks/iozone/iozone-3.471.ebuild
+++ b/app-benchmarks/iozone/iozone-3.471.ebuild
@@ -28,7 +28,7 @@ SRC_URI="http://www.iozone.org/src/current/${PN}${PV/./_}.tar"
 
 LICENSE="freedist"
 SLOT="0"
-KEYWORDS="amd64 ~arm ~ia64 ~ppc ~ppc64 ~sparc x86"
+KEYWORDS="amd64 ~arm ia64 ~ppc ~ppc64 ~sparc x86"
 IUSE=""
 
 S=${WORKDIR}/${PN}${PV/./_}


^ permalink raw reply related	[flat|nested] 21+ messages in thread

* [gentoo-commits] repo/gentoo:master commit in: app-benchmarks/iozone/
@ 2018-05-11 22:43 Sergei Trofimovich
  0 siblings, 0 replies; 21+ messages in thread
From: Sergei Trofimovich @ 2018-05-11 22:43 UTC (permalink / raw
  To: gentoo-commits

commit:     873d729aee6800f25e20048a347a54a83153cc35
Author:     Sergei Trofimovich <slyfox <AT> gentoo <DOT> org>
AuthorDate: Fri May 11 22:41:54 2018 +0000
Commit:     Sergei Trofimovich <slyfox <AT> gentoo <DOT> org>
CommitDate: Fri May 11 22:43:07 2018 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=873d729a

app-benchmarks/iozone: stable 3.471 for ppc64, bug #653336

Bug: https://bugs.gentoo.org/653336
Package-Manager: Portage-2.3.36, Repoman-2.3.9
RepoMan-Options: --include-arches="ppc64"

 app-benchmarks/iozone/iozone-3.471.ebuild | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

diff --git a/app-benchmarks/iozone/iozone-3.471.ebuild b/app-benchmarks/iozone/iozone-3.471.ebuild
index c91f04be7b3..3d352d13233 100644
--- a/app-benchmarks/iozone/iozone-3.471.ebuild
+++ b/app-benchmarks/iozone/iozone-3.471.ebuild
@@ -28,7 +28,7 @@ SRC_URI="http://www.iozone.org/src/current/${PN}${PV/./_}.tar"
 
 LICENSE="freedist"
 SLOT="0"
-KEYWORDS="amd64 ~arm ia64 ~ppc ~ppc64 ~sparc x86"
+KEYWORDS="amd64 ~arm ia64 ~ppc ppc64 ~sparc x86"
 IUSE=""
 
 S=${WORKDIR}/${PN}${PV/./_}


^ permalink raw reply related	[flat|nested] 21+ messages in thread

* [gentoo-commits] repo/gentoo:master commit in: app-benchmarks/iozone/
@ 2018-05-17 21:18 Sergei Trofimovich
  0 siblings, 0 replies; 21+ messages in thread
From: Sergei Trofimovich @ 2018-05-17 21:18 UTC (permalink / raw
  To: gentoo-commits

commit:     4d583a7544950af5a92a7f3790d52129f8eff500
Author:     Sergei Trofimovich <slyfox <AT> gentoo <DOT> org>
AuthorDate: Thu May 17 21:12:38 2018 +0000
Commit:     Sergei Trofimovich <slyfox <AT> gentoo <DOT> org>
CommitDate: Thu May 17 21:18:22 2018 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=4d583a75

app-benchmarks/iozone: stable 3.471 for ppc, bug #653336

Tested-by: ernsteiswuerfel
Bug: https://bugs.gentoo.org/653336
Package-Manager: Portage-2.3.37, Repoman-2.3.9
RepoMan-Options: --include-arches="ppc"

 app-benchmarks/iozone/iozone-3.471.ebuild | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

diff --git a/app-benchmarks/iozone/iozone-3.471.ebuild b/app-benchmarks/iozone/iozone-3.471.ebuild
index 3d352d13233..54ce253764d 100644
--- a/app-benchmarks/iozone/iozone-3.471.ebuild
+++ b/app-benchmarks/iozone/iozone-3.471.ebuild
@@ -28,7 +28,7 @@ SRC_URI="http://www.iozone.org/src/current/${PN}${PV/./_}.tar"
 
 LICENSE="freedist"
 SLOT="0"
-KEYWORDS="amd64 ~arm ia64 ~ppc ppc64 ~sparc x86"
+KEYWORDS="amd64 ~arm ia64 ppc ppc64 ~sparc x86"
 IUSE=""
 
 S=${WORKDIR}/${PN}${PV/./_}


^ permalink raw reply related	[flat|nested] 21+ messages in thread

* [gentoo-commits] repo/gentoo:master commit in: app-benchmarks/iozone/
@ 2018-05-26 12:51 David Seifert
  0 siblings, 0 replies; 21+ messages in thread
From: David Seifert @ 2018-05-26 12:51 UTC (permalink / raw
  To: gentoo-commits

commit:     3e31b929ed8db924ab1cf9eaaf416c5d55339b71
Author:     David Seifert <soap <AT> gentoo <DOT> org>
AuthorDate: Sat May 26 09:00:41 2018 +0000
Commit:     David Seifert <soap <AT> gentoo <DOT> org>
CommitDate: Sat May 26 12:50:50 2018 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=3e31b929

app-benchmarks/iozone: Remove old

Package-Manager: Portage-2.3.40, Repoman-2.3.9
Closes: https://github.com/gentoo/gentoo/pull/8596

 app-benchmarks/iozone/Manifest            |  3 --
 app-benchmarks/iozone/iozone-3.397.ebuild | 73 ------------------------------
 app-benchmarks/iozone/iozone-3.408.ebuild | 73 ------------------------------
 app-benchmarks/iozone/iozone-3.430.ebuild | 74 -------------------------------
 4 files changed, 223 deletions(-)

diff --git a/app-benchmarks/iozone/Manifest b/app-benchmarks/iozone/Manifest
index 0aa3f3722d3..a9b5c023d55 100644
--- a/app-benchmarks/iozone/Manifest
+++ b/app-benchmarks/iozone/Manifest
@@ -1,4 +1 @@
-DIST iozone3_397.tar 1679360 BLAKE2B 174d4ef11fb986f4b8bbf95774f6bf22659fb9e5a38fcd0626be8bd89303e775a9d8bc632575896885a9974239205bd3b3541da71b48bf30f80234ab577eb4eb SHA512 e154b56735c922173e7cf23344fa0a478982d202b3b831fd605481f69a77295281be121aa57a0164dc12edf5975f231339f6516da5c40906586d48ebacec7c23
-DIST iozone3_408.tar 1822720 BLAKE2B 700f531addb42525b5a3e8caaabfb8e03f7d7d1fa840a840462e88bd127b508e73f4bb1362bdef1e9f1b2044b42f54ab3811e674789f1fb8d7047b15565e8ee6 SHA512 ebc808468c741fff8d7909abd7eb41303c2a68c21ed7754e12bb6f859a88a9f9d040e0cdde42cb320958fbd453ba6014ba46fb7cfb200155f55a6fa7803f5d44
-DIST iozone3_430.tar 1832960 BLAKE2B 2d8cb85d444a9505550bf4a6951a83531427ba8e4493ffdd13c9435ce07452fbbd529602a7b13b120d276fd95c76609f4d47a58ff490120272b7fcb3650711e4 SHA512 f513c1a34bcdfadca0d01a942d55c7494e5646cf17384140df42643259456d41e40a54453ab3b9a1f1ebdeb456a9b4b1f836f979927cac57391b9a20ecdbcb55
 DIST iozone3_471.tar 1853440 BLAKE2B 280c821a439ad1bacbd749278385481678d644a59c14395482c8a088b0578285f389f376fb32ce3c3abde598f50d693fb0c7c9a3d6597765547a71c76d21ea1c SHA512 c61b2b8b5af3dccdb99b26aef8a0a4f2f5f467fc3985ac72ed4bb4fb36e4b7684ca6dbaa5bbc05ae0a4e73852e048e9fd2495eda9313f5abc4e631499d683aec

diff --git a/app-benchmarks/iozone/iozone-3.397.ebuild b/app-benchmarks/iozone/iozone-3.397.ebuild
deleted file mode 100644
index 2422edcf74b..00000000000
--- a/app-benchmarks/iozone/iozone-3.397.ebuild
+++ /dev/null
@@ -1,73 +0,0 @@
-# Copyright 1999-2018 Gentoo Foundation
-# Distributed under the terms of the GNU General Public License v2
-
-EAPI=0
-
-# TODO
-#        ->   linux-arm            (32bit)   <-
-#        ->   linux-AMD64          (64bit)   <-
-#        ->   linux-ia64           (64bit)   <-
-#        ->   linux-powerpc        (32bit)   <-
-#        ->   linux-powerpc64      (64bit)   <-
-#        ->   linux-S390           (32bit)   <-
-#        ->   linux-S390X          (64bit)   <-
-#
-#        ->   freebsd              (32bit)   <-
-#        ->   macosx               (32bit)   <-
-#        ->   netbsd               (32bit)   <-
-#        ->   openbsd              (32bit)   <-
-#        ->   openbsd-threads      (32bit)   <-
-#
-# ~ia64 ~s390 alpha(?) x86-fbsd
-
-inherit eutils toolchain-funcs
-
-DESCRIPTION="Filesystem benchmarking program"
-HOMEPAGE="http://www.iozone.org/"
-SRC_URI="http://www.iozone.org/src/current/${PN}${PV/./_}.tar"
-
-LICENSE="freedist"
-SLOT="0"
-KEYWORDS="amd64 arm ia64 ppc ppc64 sparc x86"
-IUSE=""
-
-S=${WORKDIR}/${PN}${PV/./_}
-
-src_compile() {
-	cd src/current
-
-	# Options FIX
-	sed -i -e "s:CC	=.*:CC	=$(tc-getCC):g" \
-		-e "s:-O3:${CFLAGS}:g" makefile
-
-	case ${ARCH} in
-		x86|alpha)	PLATFORM="linux";;
-		arm)		PLATFORM="linux-arm";;
-		ppc)		PLATFORM="linux-powerpc";;
-		ppc64)		PLATFORM="linux-powerpc64";;
-		amd64)		PLATFORM="linux-AMD64";;
-		ia64)		PLATFORM="linux-ia64";;
-		s390)		PLATFORM="linux-S390";;
-		x86-fbsd)	PLATFORM="freebsd";;
-		*)			PLATFORM="linux-${ARCH}";;
-	esac
-
-	emake ${PLATFORM} || die "Compile failed"
-}
-
-src_install() {
-	dosbin src/current/iozone
-	dodoc docs/I*
-	dodoc docs/Run_rules.doc
-	dodoc src/current/Changes.txt
-	doman docs/iozone.1
-
-	insinto /usr/share/doc/${PF}
-	cd src/current
-	doins Generate_Graphs Gnuplot.txt gengnuplot.sh gnu3d.dem
-}
-
-src_test() {
-	cd "${T}"
-	"${S}"/src/current/iozone testfile || die "self test failed"
-}

diff --git a/app-benchmarks/iozone/iozone-3.408.ebuild b/app-benchmarks/iozone/iozone-3.408.ebuild
deleted file mode 100644
index 8be6b9f2482..00000000000
--- a/app-benchmarks/iozone/iozone-3.408.ebuild
+++ /dev/null
@@ -1,73 +0,0 @@
-# Copyright 1999-2018 Gentoo Foundation
-# Distributed under the terms of the GNU General Public License v2
-
-EAPI=0
-
-# TODO
-#        ->   linux-arm            (32bit)   <-
-#        ->   linux-AMD64          (64bit)   <-
-#        ->   linux-ia64           (64bit)   <-
-#        ->   linux-powerpc        (32bit)   <-
-#        ->   linux-powerpc64      (64bit)   <-
-#        ->   linux-S390           (32bit)   <-
-#        ->   linux-S390X          (64bit)   <-
-#
-#        ->   freebsd              (32bit)   <-
-#        ->   macosx               (32bit)   <-
-#        ->   netbsd               (32bit)   <-
-#        ->   openbsd              (32bit)   <-
-#        ->   openbsd-threads      (32bit)   <-
-#
-# ~ia64 ~s390 alpha(?) x86-fbsd
-
-inherit eutils toolchain-funcs
-
-DESCRIPTION="Filesystem benchmarking program"
-HOMEPAGE="http://www.iozone.org/"
-SRC_URI="http://www.iozone.org/src/current/${PN}${PV/./_}.tar"
-
-LICENSE="freedist"
-SLOT="0"
-KEYWORDS="~amd64 ~arm ~ia64 ~ppc ~ppc64 ~sparc ~x86"
-IUSE=""
-
-S=${WORKDIR}/${PN}${PV/./_}
-
-src_compile() {
-	cd src/current
-
-	# Options FIX
-	sed -i -e "s:CC	=.*:CC	=$(tc-getCC):g" \
-		-e "s:-O3:${CFLAGS}:g" makefile
-
-	case ${ARCH} in
-		x86|alpha)	PLATFORM="linux";;
-		arm)		PLATFORM="linux-arm";;
-		ppc)		PLATFORM="linux-powerpc";;
-		ppc64)		PLATFORM="linux-powerpc64";;
-		amd64)		PLATFORM="linux-AMD64";;
-		ia64)		PLATFORM="linux-ia64";;
-		s390)		PLATFORM="linux-S390";;
-		x86-fbsd)	PLATFORM="freebsd";;
-		*)			PLATFORM="linux-${ARCH}";;
-	esac
-
-	emake ${PLATFORM} || die "Compile failed"
-}
-
-src_install() {
-	dosbin src/current/iozone
-	dodoc docs/I*
-	dodoc docs/Run_rules.doc
-	dodoc src/current/Changes.txt
-	doman docs/iozone.1
-
-	insinto /usr/share/doc/${PF}
-	cd src/current
-	doins Generate_Graphs Gnuplot.txt gengnuplot.sh gnu3d.dem
-}
-
-src_test() {
-	cd "${T}"
-	"${S}"/src/current/iozone testfile || die "self test failed"
-}

diff --git a/app-benchmarks/iozone/iozone-3.430.ebuild b/app-benchmarks/iozone/iozone-3.430.ebuild
deleted file mode 100644
index ee0c9bd7881..00000000000
--- a/app-benchmarks/iozone/iozone-3.430.ebuild
+++ /dev/null
@@ -1,74 +0,0 @@
-# Copyright 1999-2018 Gentoo Foundation
-# Distributed under the terms of the GNU General Public License v2
-
-EAPI=0
-
-# TODO
-#        ->   linux-arm            (32bit)   <-
-#        ->   linux-AMD64          (64bit)   <-
-#        ->   linux-ia64           (64bit)   <-
-#        ->   linux-powerpc        (32bit)   <-
-#        ->   linux-powerpc64      (64bit)   <-
-#        ->   linux-S390           (32bit)   <-
-#        ->   linux-S390X          (64bit)   <-
-#
-#        ->   freebsd              (32bit)   <-
-#        ->   macosx               (32bit)   <-
-#        ->   netbsd               (32bit)   <-
-#        ->   openbsd              (32bit)   <-
-#        ->   openbsd-threads      (32bit)   <-
-#
-# ~ia64 ~s390 alpha(?) x86-fbsd
-
-inherit eutils toolchain-funcs
-
-DESCRIPTION="Filesystem benchmarking program"
-HOMEPAGE="http://www.iozone.org/"
-SRC_URI="http://www.iozone.org/src/current/${PN}${PV/./_}.tar"
-
-LICENSE="freedist"
-SLOT="0"
-KEYWORDS="~amd64 ~arm ~ia64 ~ppc ~ppc64 ~sparc ~x86"
-IUSE=""
-
-S=${WORKDIR}/${PN}${PV/./_}
-
-src_compile() {
-	cd src/current
-
-	# Options FIX
-	sed -i -e "s:CC	=.*:CC	=$(tc-getCC):g" \
-		-e "s:-O3:${CFLAGS}:g" makefile
-
-	case ${ARCH} in
-		x86|alpha)	PLATFORM="linux";;
-		arm)		PLATFORM="linux-arm";;
-		ppc)		PLATFORM="linux-powerpc";;
-		ppc64)		PLATFORM="linux-powerpc64";;
-		amd64)		PLATFORM="linux-AMD64";;
-		ia64)		PLATFORM="linux-ia64";;
-		s390)		PLATFORM="linux-S390";;
-		x86-fbsd)	PLATFORM="freebsd";;
-		*)			PLATFORM="linux-${ARCH}";;
-	esac
-
-	emake ${PLATFORM} || die "Compile failed"
-}
-
-src_install() {
-	dosbin src/current/iozone
-	dosbin src/current/fileop
-	dodoc docs/I*
-	dodoc docs/Run_rules.doc
-	dodoc src/current/Changes.txt
-	doman docs/iozone.1
-
-	insinto /usr/share/doc/${PF}
-	cd src/current
-	doins Generate_Graphs Gnuplot.txt gengnuplot.sh gnu3d.dem
-}
-
-src_test() {
-	cd "${T}"
-	"${S}"/src/current/iozone testfile || die "self test failed"
-}


^ permalink raw reply related	[flat|nested] 21+ messages in thread

* [gentoo-commits] repo/gentoo:master commit in: app-benchmarks/iozone/
@ 2018-05-30 18:02 Mikle Kolyada
  0 siblings, 0 replies; 21+ messages in thread
From: Mikle Kolyada @ 2018-05-30 18:02 UTC (permalink / raw
  To: gentoo-commits

commit:     961f95be7a47b10e1a76c8973cf6d4197d79ddda
Author:     Mikle Kolyada <zlogene <AT> gentoo <DOT> org>
AuthorDate: Wed May 30 18:02:30 2018 +0000
Commit:     Mikle Kolyada <zlogene <AT> gentoo <DOT> org>
CommitDate: Wed May 30 18:02:30 2018 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=961f95be

app-benchmarks/iozone: arm stable wrt bug #653336

Package-Manager: Portage-2.3.24, Repoman-2.3.6

 app-benchmarks/iozone/iozone-3.471.ebuild | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

diff --git a/app-benchmarks/iozone/iozone-3.471.ebuild b/app-benchmarks/iozone/iozone-3.471.ebuild
index 54ce253764d..cde87a71ebc 100644
--- a/app-benchmarks/iozone/iozone-3.471.ebuild
+++ b/app-benchmarks/iozone/iozone-3.471.ebuild
@@ -28,7 +28,7 @@ SRC_URI="http://www.iozone.org/src/current/${PN}${PV/./_}.tar"
 
 LICENSE="freedist"
 SLOT="0"
-KEYWORDS="amd64 ~arm ia64 ppc ppc64 ~sparc x86"
+KEYWORDS="amd64 arm ia64 ppc ppc64 ~sparc x86"
 IUSE=""
 
 S=${WORKDIR}/${PN}${PV/./_}


^ permalink raw reply related	[flat|nested] 21+ messages in thread

* [gentoo-commits] repo/gentoo:master commit in: app-benchmarks/iozone/
@ 2018-11-28  2:07 Thomas Deutschmann
  0 siblings, 0 replies; 21+ messages in thread
From: Thomas Deutschmann @ 2018-11-28  2:07 UTC (permalink / raw
  To: gentoo-commits

commit:     4aba3bc16d6a3ed6e4d4e1203126933267373195
Author:     Thomas Deutschmann <whissi <AT> gentoo <DOT> org>
AuthorDate: Tue Nov 27 23:04:55 2018 +0000
Commit:     Thomas Deutschmann <whissi <AT> gentoo <DOT> org>
CommitDate: Wed Nov 28 02:06:58 2018 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=4aba3bc1

app-benchmarks/iozone: bump to v3.484

Package-Manager: Portage-2.3.52, Repoman-2.3.12
Signed-off-by: Thomas Deutschmann <whissi <AT> gentoo.org>

 app-benchmarks/iozone/Manifest            |  1 +
 app-benchmarks/iozone/iozone-3.484.ebuild | 77 +++++++++++++++++++++++++++++++
 2 files changed, 78 insertions(+)

diff --git a/app-benchmarks/iozone/Manifest b/app-benchmarks/iozone/Manifest
index a9b5c023d55..b4e1bf07cb7 100644
--- a/app-benchmarks/iozone/Manifest
+++ b/app-benchmarks/iozone/Manifest
@@ -1 +1,2 @@
 DIST iozone3_471.tar 1853440 BLAKE2B 280c821a439ad1bacbd749278385481678d644a59c14395482c8a088b0578285f389f376fb32ce3c3abde598f50d693fb0c7c9a3d6597765547a71c76d21ea1c SHA512 c61b2b8b5af3dccdb99b26aef8a0a4f2f5f467fc3985ac72ed4bb4fb36e4b7684ca6dbaa5bbc05ae0a4e73852e048e9fd2495eda9313f5abc4e631499d683aec
+DIST iozone3_484.tar 1863680 BLAKE2B 72d3d3125aec2dfc504bb00684ef325e85edffe0d6efcd519cd692cfa2b9b792a44c00313dc96eabbbb3ab850a7a440b3ca3d5b955c4f6092b08f92ebe5c332b SHA512 bb1ac0c1724a5d3c20e90c56c0b4a438b4aa50384cddc76f4b77f2c465f052fd3fae9217b77688a2c6caf5e90611123a97ea0cd8074b3678068a90e6dd7857b7

diff --git a/app-benchmarks/iozone/iozone-3.484.ebuild b/app-benchmarks/iozone/iozone-3.484.ebuild
new file mode 100644
index 00000000000..cc8b0d30da9
--- /dev/null
+++ b/app-benchmarks/iozone/iozone-3.484.ebuild
@@ -0,0 +1,77 @@
+# Copyright 1999-2018 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI="7"
+
+# TODO
+#        ->   linux-arm            (32bit)   <-
+#        ->   linux-AMD64          (64bit)   <-
+#        ->   linux-ia64           (64bit)   <-
+#        ->   linux-powerpc        (32bit)   <-
+#        ->   linux-powerpc64      (64bit)   <-
+#        ->   linux-S390           (32bit)   <-
+#        ->   linux-S390X          (64bit)   <-
+#
+#        ->   freebsd              (32bit)   <-
+#        ->   macosx               (32bit)   <-
+#        ->   netbsd               (32bit)   <-
+#        ->   openbsd              (32bit)   <-
+#        ->   openbsd-threads      (32bit)   <-
+#
+# ~ia64 ~s390 alpha(?) x86-fbsd
+
+inherit toolchain-funcs
+
+DESCRIPTION="Filesystem benchmarking program"
+HOMEPAGE="http://www.iozone.org/"
+SRC_URI="http://www.iozone.org/src/current/${PN}${PV/./_}.tar"
+
+LICENSE="freedist"
+SLOT="0"
+KEYWORDS="~amd64 ~arm ~ia64 ~ppc ~ppc64 ~sparc ~x86"
+IUSE=""
+
+S=${WORKDIR}/${PN}${PV/./_}
+
+src_prepare() {
+	default
+
+	# Options FIX
+	sed -i -e "s:CC	=.*:CC	=$(tc-getCC):g" \
+		-e "s:-O3:${CFLAGS}:g" src/current/makefile || die
+}
+
+src_configure() {
+	case ${ARCH} in
+		x86|alpha)	PLATFORM="linux";;
+		arm)		PLATFORM="linux-arm";;
+		ppc)		PLATFORM="linux-powerpc";;
+		ppc64)		PLATFORM="linux-powerpc64";;
+		amd64)		PLATFORM="linux-AMD64";;
+		ia64)		PLATFORM="linux-ia64";;
+		s390)		PLATFORM="linux-S390";;
+		x86-fbsd)	PLATFORM="freebsd";;
+		*)		PLATFORM="linux-${ARCH}";;
+	esac
+}
+
+src_compile() {
+	emake -C src/current ${PLATFORM}
+}
+
+src_test() {
+	cd "${T}" || die
+	"${S}"/src/current/iozone testfile || die "self test failed"
+}
+
+src_install() {
+	dosbin src/current/{iozone,fileop}
+
+	# decompress pre-compressed file to make QA check happy
+	gzip -d docs/Iozone_ps.gz || die
+
+	dodoc docs/I* docs/Run_rules.doc src/current/Changes.txt
+	doman docs/iozone.1
+	cd src/current || die
+	dodoc Generate_Graphs Gnuplot.txt gengnuplot.sh gnu3d.dem
+}


^ permalink raw reply related	[flat|nested] 21+ messages in thread

* [gentoo-commits] repo/gentoo:master commit in: app-benchmarks/iozone/
@ 2019-02-14 18:45 Thomas Deutschmann
  0 siblings, 0 replies; 21+ messages in thread
From: Thomas Deutschmann @ 2019-02-14 18:45 UTC (permalink / raw
  To: gentoo-commits

commit:     21b7d681d0fd932cc2f4989a7f92b102b1dc5996
Author:     Thomas Deutschmann <whissi <AT> gentoo <DOT> org>
AuthorDate: Thu Feb 14 18:39:49 2019 +0000
Commit:     Thomas Deutschmann <whissi <AT> gentoo <DOT> org>
CommitDate: Thu Feb 14 18:44:53 2019 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=21b7d681

app-benchmarks/iozone: bump to v3.487

Package-Manager: Portage-2.3.59, Repoman-2.3.12
Signed-off-by: Thomas Deutschmann <whissi <AT> gentoo.org>

 app-benchmarks/iozone/Manifest            |  1 +
 app-benchmarks/iozone/iozone-3.487.ebuild | 77 +++++++++++++++++++++++++++++++
 2 files changed, 78 insertions(+)

diff --git a/app-benchmarks/iozone/Manifest b/app-benchmarks/iozone/Manifest
index b4e1bf07cb7..1a001458f1e 100644
--- a/app-benchmarks/iozone/Manifest
+++ b/app-benchmarks/iozone/Manifest
@@ -1,2 +1,3 @@
 DIST iozone3_471.tar 1853440 BLAKE2B 280c821a439ad1bacbd749278385481678d644a59c14395482c8a088b0578285f389f376fb32ce3c3abde598f50d693fb0c7c9a3d6597765547a71c76d21ea1c SHA512 c61b2b8b5af3dccdb99b26aef8a0a4f2f5f467fc3985ac72ed4bb4fb36e4b7684ca6dbaa5bbc05ae0a4e73852e048e9fd2495eda9313f5abc4e631499d683aec
 DIST iozone3_484.tar 1863680 BLAKE2B 72d3d3125aec2dfc504bb00684ef325e85edffe0d6efcd519cd692cfa2b9b792a44c00313dc96eabbbb3ab850a7a440b3ca3d5b955c4f6092b08f92ebe5c332b SHA512 bb1ac0c1724a5d3c20e90c56c0b4a438b4aa50384cddc76f4b77f2c465f052fd3fae9217b77688a2c6caf5e90611123a97ea0cd8074b3678068a90e6dd7857b7
+DIST iozone3_487.tar 1873920 BLAKE2B f27edb85ebfd19e55dea239a4e5d595a84981c0249ec57148efdcce90a85a5cbf1e17f319de820a06410c66390ddd38efe1b90b31ed98c3bf979eea6fb25ccc7 SHA512 2f3a9d259ca531e45124e8ad55358706e2f9615f50fbf434e786b832622aa5f673dbed1b2706c6450c200e0af7f7374e40402e0b06ad116d5f2a0704a6156a1a

diff --git a/app-benchmarks/iozone/iozone-3.487.ebuild b/app-benchmarks/iozone/iozone-3.487.ebuild
new file mode 100644
index 00000000000..0706eaef996
--- /dev/null
+++ b/app-benchmarks/iozone/iozone-3.487.ebuild
@@ -0,0 +1,77 @@
+# Copyright 1999-2019 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI="7"
+
+# TODO
+#        ->   linux-arm            (32bit)   <-
+#        ->   linux-AMD64          (64bit)   <-
+#        ->   linux-ia64           (64bit)   <-
+#        ->   linux-powerpc        (32bit)   <-
+#        ->   linux-powerpc64      (64bit)   <-
+#        ->   linux-S390           (32bit)   <-
+#        ->   linux-S390X          (64bit)   <-
+#
+#        ->   freebsd              (32bit)   <-
+#        ->   macosx               (32bit)   <-
+#        ->   netbsd               (32bit)   <-
+#        ->   openbsd              (32bit)   <-
+#        ->   openbsd-threads      (32bit)   <-
+#
+# ~ia64 ~s390 alpha(?) x86-fbsd
+
+inherit toolchain-funcs
+
+DESCRIPTION="Filesystem benchmarking program"
+HOMEPAGE="http://www.iozone.org/"
+SRC_URI="http://www.iozone.org/src/current/${PN}${PV/./_}.tar"
+
+LICENSE="freedist"
+SLOT="0"
+KEYWORDS="~amd64 ~arm ~ia64 ~ppc ~ppc64 ~sparc ~x86"
+IUSE=""
+
+S=${WORKDIR}/${PN}${PV/./_}
+
+src_prepare() {
+	default
+
+	# Options FIX
+	sed -i -e "s:CC	=.*:CC	=$(tc-getCC):g" \
+		-e "s:-O3:${CFLAGS}:g" src/current/makefile || die
+}
+
+src_configure() {
+	case ${ARCH} in
+		x86|alpha)	PLATFORM="linux";;
+		arm)		PLATFORM="linux-arm";;
+		ppc)		PLATFORM="linux-powerpc";;
+		ppc64)		PLATFORM="linux-powerpc64";;
+		amd64)		PLATFORM="linux-AMD64";;
+		ia64)		PLATFORM="linux-ia64";;
+		s390)		PLATFORM="linux-S390";;
+		x86-fbsd)	PLATFORM="freebsd";;
+		*)		PLATFORM="linux-${ARCH}";;
+	esac
+}
+
+src_compile() {
+	emake -C src/current ${PLATFORM}
+}
+
+src_test() {
+	cd "${T}" || die
+	"${S}"/src/current/iozone testfile || die "self test failed"
+}
+
+src_install() {
+	dosbin src/current/{iozone,fileop}
+
+	# decompress pre-compressed file to make QA check happy
+	gzip -d docs/Iozone_ps.gz || die
+
+	dodoc docs/I* docs/Run_rules.doc src/current/Changes.txt
+	doman docs/iozone.1
+	cd src/current || die
+	dodoc Generate_Graphs Gnuplot.txt gengnuplot.sh gnu3d.dem
+}


^ permalink raw reply related	[flat|nested] 21+ messages in thread

* [gentoo-commits] repo/gentoo:master commit in: app-benchmarks/iozone/
@ 2020-12-24 10:03 Agostino Sarubbo
  0 siblings, 0 replies; 21+ messages in thread
From: Agostino Sarubbo @ 2020-12-24 10:03 UTC (permalink / raw
  To: gentoo-commits

commit:     247c96bf06526e708d2ebe42bd3b9162d6e8df6c
Author:     Agostino Sarubbo <ago <AT> gentoo <DOT> org>
AuthorDate: Thu Dec 24 10:01:43 2020 +0000
Commit:     Agostino Sarubbo <ago <AT> gentoo <DOT> org>
CommitDate: Thu Dec 24 10:01:43 2020 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=247c96bf

app-benchmarks/iozone: amd64 stable wrt bug #761343

Package-Manager: Portage-3.0.9, Repoman-3.0.2
RepoMan-Options: --include-arches="amd64"
Signed-off-by: Agostino Sarubbo <ago <AT> gentoo.org>

 app-benchmarks/iozone/iozone-3.488.ebuild | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

diff --git a/app-benchmarks/iozone/iozone-3.488.ebuild b/app-benchmarks/iozone/iozone-3.488.ebuild
index 3f6941869e6..4699795a30d 100644
--- a/app-benchmarks/iozone/iozone-3.488.ebuild
+++ b/app-benchmarks/iozone/iozone-3.488.ebuild
@@ -11,7 +11,7 @@ SRC_URI="http://www.iozone.org/src/current/${PN}${PV/./_}.tar"
 
 LICENSE="freedist"
 SLOT="0"
-KEYWORDS="~amd64 ~arm ~ia64 ~ppc ~ppc64 ~sparc ~x86"
+KEYWORDS="amd64 ~arm ~ia64 ~ppc ~ppc64 ~sparc ~x86"
 
 S="${WORKDIR}/${PN}${PV/./_}"
 


^ permalink raw reply related	[flat|nested] 21+ messages in thread

* [gentoo-commits] repo/gentoo:master commit in: app-benchmarks/iozone/
@ 2021-01-04 15:32 Sam James
  0 siblings, 0 replies; 21+ messages in thread
From: Sam James @ 2021-01-04 15:32 UTC (permalink / raw
  To: gentoo-commits

commit:     91e870fd60fe403ef0e987c013e4307b0486cc52
Author:     Sam James <sam <AT> gentoo <DOT> org>
AuthorDate: Mon Jan  4 15:31:16 2021 +0000
Commit:     Sam James <sam <AT> gentoo <DOT> org>
CommitDate: Mon Jan  4 15:31:16 2021 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=91e870fd

app-benchmarks/iozone: Stabilize 3.488 x86, #761343

Signed-off-by: Sam James <sam <AT> gentoo.org>

 app-benchmarks/iozone/iozone-3.488.ebuild | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

diff --git a/app-benchmarks/iozone/iozone-3.488.ebuild b/app-benchmarks/iozone/iozone-3.488.ebuild
index 4699795a30d..14b8296b844 100644
--- a/app-benchmarks/iozone/iozone-3.488.ebuild
+++ b/app-benchmarks/iozone/iozone-3.488.ebuild
@@ -1,4 +1,4 @@
-# Copyright 1999-2020 Gentoo Authors
+# Copyright 1999-2021 Gentoo Authors
 # Distributed under the terms of the GNU General Public License v2
 
 EAPI=7
@@ -11,7 +11,7 @@ SRC_URI="http://www.iozone.org/src/current/${PN}${PV/./_}.tar"
 
 LICENSE="freedist"
 SLOT="0"
-KEYWORDS="amd64 ~arm ~ia64 ~ppc ~ppc64 ~sparc ~x86"
+KEYWORDS="amd64 ~arm ~ia64 ~ppc ~ppc64 ~sparc x86"
 
 S="${WORKDIR}/${PN}${PV/./_}"
 


^ permalink raw reply related	[flat|nested] 21+ messages in thread

* [gentoo-commits] repo/gentoo:master commit in: app-benchmarks/iozone/
@ 2021-01-07 10:09 Sam James
  0 siblings, 0 replies; 21+ messages in thread
From: Sam James @ 2021-01-07 10:09 UTC (permalink / raw
  To: gentoo-commits

commit:     fa7b9c21f20686d4beb37921da44ce00b1e94b67
Author:     Sam James <sam <AT> gentoo <DOT> org>
AuthorDate: Thu Jan  7 10:07:43 2021 +0000
Commit:     Sam James <sam <AT> gentoo <DOT> org>
CommitDate: Thu Jan  7 10:09:06 2021 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=fa7b9c21

app-benchmarks/iozone: Stabilize 3.488 ppc, #761343

Signed-off-by: Sam James <sam <AT> gentoo.org>

 app-benchmarks/iozone/iozone-3.488.ebuild | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

diff --git a/app-benchmarks/iozone/iozone-3.488.ebuild b/app-benchmarks/iozone/iozone-3.488.ebuild
index 14b8296b844..9fa68d37bde 100644
--- a/app-benchmarks/iozone/iozone-3.488.ebuild
+++ b/app-benchmarks/iozone/iozone-3.488.ebuild
@@ -11,7 +11,7 @@ SRC_URI="http://www.iozone.org/src/current/${PN}${PV/./_}.tar"
 
 LICENSE="freedist"
 SLOT="0"
-KEYWORDS="amd64 ~arm ~ia64 ~ppc ~ppc64 ~sparc x86"
+KEYWORDS="amd64 ~arm ~ia64 ppc ~ppc64 ~sparc x86"
 
 S="${WORKDIR}/${PN}${PV/./_}"
 


^ permalink raw reply related	[flat|nested] 21+ messages in thread

* [gentoo-commits] repo/gentoo:master commit in: app-benchmarks/iozone/
@ 2021-01-07 15:07 Sam James
  0 siblings, 0 replies; 21+ messages in thread
From: Sam James @ 2021-01-07 15:07 UTC (permalink / raw
  To: gentoo-commits

commit:     05eb6c0b66ebe150e873484fdf635a587931bdf0
Author:     Sam James <sam <AT> gentoo <DOT> org>
AuthorDate: Thu Jan  7 15:07:29 2021 +0000
Commit:     Sam James <sam <AT> gentoo <DOT> org>
CommitDate: Thu Jan  7 15:07:29 2021 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=05eb6c0b

app-benchmarks/iozone: Stabilize 3.488 ppc64, #761343

Signed-off-by: Sam James <sam <AT> gentoo.org>

 app-benchmarks/iozone/iozone-3.488.ebuild | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

diff --git a/app-benchmarks/iozone/iozone-3.488.ebuild b/app-benchmarks/iozone/iozone-3.488.ebuild
index 9fa68d37bde..1c3a9c54bdb 100644
--- a/app-benchmarks/iozone/iozone-3.488.ebuild
+++ b/app-benchmarks/iozone/iozone-3.488.ebuild
@@ -11,7 +11,7 @@ SRC_URI="http://www.iozone.org/src/current/${PN}${PV/./_}.tar"
 
 LICENSE="freedist"
 SLOT="0"
-KEYWORDS="amd64 ~arm ~ia64 ppc ~ppc64 ~sparc x86"
+KEYWORDS="amd64 ~arm ~ia64 ppc ppc64 ~sparc x86"
 
 S="${WORKDIR}/${PN}${PV/./_}"
 


^ permalink raw reply related	[flat|nested] 21+ messages in thread

* [gentoo-commits] repo/gentoo:master commit in: app-benchmarks/iozone/
@ 2021-03-03 21:04 Sergei Trofimovich
  0 siblings, 0 replies; 21+ messages in thread
From: Sergei Trofimovich @ 2021-03-03 21:04 UTC (permalink / raw
  To: gentoo-commits

commit:     381a61e96cee1d3938135860de10cbb80261854d
Author:     Sergei Trofimovich <slyfox <AT> gentoo <DOT> org>
AuthorDate: Wed Mar  3 21:03:49 2021 +0000
Commit:     Sergei Trofimovich <slyfox <AT> gentoo <DOT> org>
CommitDate: Wed Mar  3 21:04:21 2021 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=381a61e9

app-benchmarks/iozone: set GCC variable to CC

Reported-by: Sam James
Closes: https://bugs.gentoo.org/764269
Package-Manager: Portage-3.0.16, Repoman-3.0.2
Signed-off-by: Sergei Trofimovich <slyfox <AT> gentoo.org>

 app-benchmarks/iozone/iozone-3.488.ebuild | 4 ++++
 1 file changed, 4 insertions(+)

diff --git a/app-benchmarks/iozone/iozone-3.488.ebuild b/app-benchmarks/iozone/iozone-3.488.ebuild
index 1c3a9c54bdb..fdcafba5631 100644
--- a/app-benchmarks/iozone/iozone-3.488.ebuild
+++ b/app-benchmarks/iozone/iozone-3.488.ebuild
@@ -41,6 +41,10 @@ src_configure() {
 		s390)       PLATFORM="linux-S390";;
 		*)          PLATFORM="linux-${ARCH}";;
 	esac
+
+	# makefile uses $(GCC) in a few places, probably
+	# by mistake.
+	export GCC=$(tc-getCC)
 }
 
 src_compile() {


^ permalink raw reply related	[flat|nested] 21+ messages in thread

* [gentoo-commits] repo/gentoo:master commit in: app-benchmarks/iozone/
@ 2021-09-07  2:44 Sam James
  0 siblings, 0 replies; 21+ messages in thread
From: Sam James @ 2021-09-07  2:44 UTC (permalink / raw
  To: gentoo-commits

commit:     2f3ff9284b90799e766990e09cb541469ac8a8ae
Author:     Sam James <sam <AT> gentoo <DOT> org>
AuthorDate: Tue Sep  7 02:44:21 2021 +0000
Commit:     Sam James <sam <AT> gentoo <DOT> org>
CommitDate: Tue Sep  7 02:44:21 2021 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=2f3ff928

app-benchmarks/iozone: Stabilize 3.488 arm, #761343

Signed-off-by: Sam James <sam <AT> gentoo.org>

 app-benchmarks/iozone/iozone-3.488.ebuild | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

diff --git a/app-benchmarks/iozone/iozone-3.488.ebuild b/app-benchmarks/iozone/iozone-3.488.ebuild
index fdcafba5631..00423cba654 100644
--- a/app-benchmarks/iozone/iozone-3.488.ebuild
+++ b/app-benchmarks/iozone/iozone-3.488.ebuild
@@ -11,7 +11,7 @@ SRC_URI="http://www.iozone.org/src/current/${PN}${PV/./_}.tar"
 
 LICENSE="freedist"
 SLOT="0"
-KEYWORDS="amd64 ~arm ~ia64 ppc ppc64 ~sparc x86"
+KEYWORDS="amd64 arm ~ia64 ppc ppc64 ~sparc x86"
 
 S="${WORKDIR}/${PN}${PV/./_}"
 


^ permalink raw reply related	[flat|nested] 21+ messages in thread

* [gentoo-commits] repo/gentoo:master commit in: app-benchmarks/iozone/
@ 2022-01-05 10:01 David Seifert
  0 siblings, 0 replies; 21+ messages in thread
From: David Seifert @ 2022-01-05 10:01 UTC (permalink / raw
  To: gentoo-commits

commit:     b4b0403b3cf153edaa5bcc11f95f5fec3d994c9b
Author:     David Seifert <soap <AT> gentoo <DOT> org>
AuthorDate: Wed Jan  5 10:01:17 2022 +0000
Commit:     David Seifert <soap <AT> gentoo <DOT> org>
CommitDate: Wed Jan  5 10:01:17 2022 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=b4b0403b

app-benchmarks/iozone: remove x86-fbsd

Signed-off-by: David Seifert <soap <AT> gentoo.org>

 app-benchmarks/iozone/iozone-3.471.ebuild | 5 ++---
 app-benchmarks/iozone/iozone-3.484.ebuild | 5 ++---
 app-benchmarks/iozone/iozone-3.487.ebuild | 5 ++---
 3 files changed, 6 insertions(+), 9 deletions(-)

diff --git a/app-benchmarks/iozone/iozone-3.471.ebuild b/app-benchmarks/iozone/iozone-3.471.ebuild
index ec2ae511bdc3..247a52b7b3e0 100644
--- a/app-benchmarks/iozone/iozone-3.471.ebuild
+++ b/app-benchmarks/iozone/iozone-3.471.ebuild
@@ -1,4 +1,4 @@
-# Copyright 1999-2018 Gentoo Foundation
+# Copyright 1999-2022 Gentoo Authors
 # Distributed under the terms of the GNU General Public License v2
 
 EAPI=6
@@ -18,7 +18,7 @@ EAPI=6
 #        ->   openbsd              (32bit)   <-
 #        ->   openbsd-threads      (32bit)   <-
 #
-# ~ia64 ~s390 alpha(?) x86-fbsd
+# ~ia64 ~s390 alpha(?)
 
 inherit toolchain-funcs
 
@@ -50,7 +50,6 @@ src_configure() {
 		amd64)		PLATFORM="linux-AMD64";;
 		ia64)		PLATFORM="linux-ia64";;
 		s390)		PLATFORM="linux-S390";;
-		x86-fbsd)	PLATFORM="freebsd";;
 		*)			PLATFORM="linux-${ARCH}";;
 	esac
 }

diff --git a/app-benchmarks/iozone/iozone-3.484.ebuild b/app-benchmarks/iozone/iozone-3.484.ebuild
index cc8b0d30da97..c104e9f4dddc 100644
--- a/app-benchmarks/iozone/iozone-3.484.ebuild
+++ b/app-benchmarks/iozone/iozone-3.484.ebuild
@@ -1,4 +1,4 @@
-# Copyright 1999-2018 Gentoo Authors
+# Copyright 1999-2022 Gentoo Authors
 # Distributed under the terms of the GNU General Public License v2
 
 EAPI="7"
@@ -18,7 +18,7 @@ EAPI="7"
 #        ->   openbsd              (32bit)   <-
 #        ->   openbsd-threads      (32bit)   <-
 #
-# ~ia64 ~s390 alpha(?) x86-fbsd
+# ~ia64 ~s390 alpha(?)
 
 inherit toolchain-funcs
 
@@ -50,7 +50,6 @@ src_configure() {
 		amd64)		PLATFORM="linux-AMD64";;
 		ia64)		PLATFORM="linux-ia64";;
 		s390)		PLATFORM="linux-S390";;
-		x86-fbsd)	PLATFORM="freebsd";;
 		*)		PLATFORM="linux-${ARCH}";;
 	esac
 }

diff --git a/app-benchmarks/iozone/iozone-3.487.ebuild b/app-benchmarks/iozone/iozone-3.487.ebuild
index 0706eaef996f..c104e9f4dddc 100644
--- a/app-benchmarks/iozone/iozone-3.487.ebuild
+++ b/app-benchmarks/iozone/iozone-3.487.ebuild
@@ -1,4 +1,4 @@
-# Copyright 1999-2019 Gentoo Authors
+# Copyright 1999-2022 Gentoo Authors
 # Distributed under the terms of the GNU General Public License v2
 
 EAPI="7"
@@ -18,7 +18,7 @@ EAPI="7"
 #        ->   openbsd              (32bit)   <-
 #        ->   openbsd-threads      (32bit)   <-
 #
-# ~ia64 ~s390 alpha(?) x86-fbsd
+# ~ia64 ~s390 alpha(?)
 
 inherit toolchain-funcs
 
@@ -50,7 +50,6 @@ src_configure() {
 		amd64)		PLATFORM="linux-AMD64";;
 		ia64)		PLATFORM="linux-ia64";;
 		s390)		PLATFORM="linux-S390";;
-		x86-fbsd)	PLATFORM="freebsd";;
 		*)		PLATFORM="linux-${ARCH}";;
 	esac
 }


^ permalink raw reply related	[flat|nested] 21+ messages in thread

* [gentoo-commits] repo/gentoo:master commit in: app-benchmarks/iozone/
@ 2022-03-19 22:51 David Seifert
  0 siblings, 0 replies; 21+ messages in thread
From: David Seifert @ 2022-03-19 22:51 UTC (permalink / raw
  To: gentoo-commits

commit:     bf30f2f1ba9ac59e9f2502671e37e60205be3aa6
Author:     David Seifert <soap <AT> gentoo <DOT> org>
AuthorDate: Sat Mar 19 22:51:11 2022 +0000
Commit:     David Seifert <soap <AT> gentoo <DOT> org>
CommitDate: Sat Mar 19 22:51:11 2022 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=bf30f2f1

app-benchmarks/iozone: drop 3.471, 3.484, 3.487

Signed-off-by: David Seifert <soap <AT> gentoo.org>

 app-benchmarks/iozone/Manifest            |  3 --
 app-benchmarks/iozone/iozone-3.471.ebuild | 73 -----------------------------
 app-benchmarks/iozone/iozone-3.484.ebuild | 76 -------------------------------
 app-benchmarks/iozone/iozone-3.487.ebuild | 76 -------------------------------
 4 files changed, 228 deletions(-)

diff --git a/app-benchmarks/iozone/Manifest b/app-benchmarks/iozone/Manifest
index 312115badbdd..6a9a704272d8 100644
--- a/app-benchmarks/iozone/Manifest
+++ b/app-benchmarks/iozone/Manifest
@@ -1,4 +1 @@
-DIST iozone3_471.tar 1853440 BLAKE2B 280c821a439ad1bacbd749278385481678d644a59c14395482c8a088b0578285f389f376fb32ce3c3abde598f50d693fb0c7c9a3d6597765547a71c76d21ea1c SHA512 c61b2b8b5af3dccdb99b26aef8a0a4f2f5f467fc3985ac72ed4bb4fb36e4b7684ca6dbaa5bbc05ae0a4e73852e048e9fd2495eda9313f5abc4e631499d683aec
-DIST iozone3_484.tar 1863680 BLAKE2B 72d3d3125aec2dfc504bb00684ef325e85edffe0d6efcd519cd692cfa2b9b792a44c00313dc96eabbbb3ab850a7a440b3ca3d5b955c4f6092b08f92ebe5c332b SHA512 bb1ac0c1724a5d3c20e90c56c0b4a438b4aa50384cddc76f4b77f2c465f052fd3fae9217b77688a2c6caf5e90611123a97ea0cd8074b3678068a90e6dd7857b7
-DIST iozone3_487.tar 1873920 BLAKE2B f27edb85ebfd19e55dea239a4e5d595a84981c0249ec57148efdcce90a85a5cbf1e17f319de820a06410c66390ddd38efe1b90b31ed98c3bf979eea6fb25ccc7 SHA512 2f3a9d259ca531e45124e8ad55358706e2f9615f50fbf434e786b832622aa5f673dbed1b2706c6450c200e0af7f7374e40402e0b06ad116d5f2a0704a6156a1a
 DIST iozone3_488.tar 1873920 BLAKE2B 60e97d588a273c1af7a8c83ec207593fcf43766f92171774b974aa04a8df690a1a84aae4b448e4a6f9e4e9c7dc3cd98ad327a0ea196779e6dbe3a88326314eaf SHA512 033f9e6e7395fe84ae6f4ae8737544e399ac0f16e82ba95eed2a2d0df52b7efcbe0c9282abc68d3c5b53d859073c74bff2e8c34bc35e1e1cc887ed36ad5d840b

diff --git a/app-benchmarks/iozone/iozone-3.471.ebuild b/app-benchmarks/iozone/iozone-3.471.ebuild
deleted file mode 100644
index 247a52b7b3e0..000000000000
--- a/app-benchmarks/iozone/iozone-3.471.ebuild
+++ /dev/null
@@ -1,73 +0,0 @@
-# Copyright 1999-2022 Gentoo Authors
-# Distributed under the terms of the GNU General Public License v2
-
-EAPI=6
-
-# TODO
-#        ->   linux-arm            (32bit)   <-
-#        ->   linux-AMD64          (64bit)   <-
-#        ->   linux-ia64           (64bit)   <-
-#        ->   linux-powerpc        (32bit)   <-
-#        ->   linux-powerpc64      (64bit)   <-
-#        ->   linux-S390           (32bit)   <-
-#        ->   linux-S390X          (64bit)   <-
-#
-#        ->   freebsd              (32bit)   <-
-#        ->   macosx               (32bit)   <-
-#        ->   netbsd               (32bit)   <-
-#        ->   openbsd              (32bit)   <-
-#        ->   openbsd-threads      (32bit)   <-
-#
-# ~ia64 ~s390 alpha(?)
-
-inherit toolchain-funcs
-
-DESCRIPTION="Filesystem benchmarking program"
-HOMEPAGE="http://www.iozone.org/"
-SRC_URI="http://www.iozone.org/src/current/${PN}${PV/./_}.tar"
-
-LICENSE="freedist"
-SLOT="0"
-KEYWORDS="amd64 arm ~ia64 ppc ppc64 ~sparc x86"
-IUSE=""
-
-S=${WORKDIR}/${PN}${PV/./_}
-
-src_prepare() {
-	default
-
-	# Options FIX
-	sed -i -e "s:CC	=.*:CC	=$(tc-getCC):g" \
-		-e "s:-O3:${CFLAGS}:g" src/current/makefile || die
-}
-
-src_configure() {
-	case ${ARCH} in
-		x86|alpha)	PLATFORM="linux";;
-		arm)		PLATFORM="linux-arm";;
-		ppc)		PLATFORM="linux-powerpc";;
-		ppc64)		PLATFORM="linux-powerpc64";;
-		amd64)		PLATFORM="linux-AMD64";;
-		ia64)		PLATFORM="linux-ia64";;
-		s390)		PLATFORM="linux-S390";;
-		*)			PLATFORM="linux-${ARCH}";;
-	esac
-}
-
-src_compile() {
-	emake -C src/current ${PLATFORM}
-}
-
-src_test() {
-	cd "${T}" || die
-	"${S}"/src/current/iozone testfile || die "self test failed"
-}
-
-src_install() {
-	dosbin src/current/{iozone,fileop}
-
-	dodoc docs/I* docs/Run_rules.doc src/current/Changes.txt
-	doman docs/iozone.1
-	cd src/current || die
-	dodoc Generate_Graphs Gnuplot.txt gengnuplot.sh gnu3d.dem
-}

diff --git a/app-benchmarks/iozone/iozone-3.484.ebuild b/app-benchmarks/iozone/iozone-3.484.ebuild
deleted file mode 100644
index c104e9f4dddc..000000000000
--- a/app-benchmarks/iozone/iozone-3.484.ebuild
+++ /dev/null
@@ -1,76 +0,0 @@
-# Copyright 1999-2022 Gentoo Authors
-# Distributed under the terms of the GNU General Public License v2
-
-EAPI="7"
-
-# TODO
-#        ->   linux-arm            (32bit)   <-
-#        ->   linux-AMD64          (64bit)   <-
-#        ->   linux-ia64           (64bit)   <-
-#        ->   linux-powerpc        (32bit)   <-
-#        ->   linux-powerpc64      (64bit)   <-
-#        ->   linux-S390           (32bit)   <-
-#        ->   linux-S390X          (64bit)   <-
-#
-#        ->   freebsd              (32bit)   <-
-#        ->   macosx               (32bit)   <-
-#        ->   netbsd               (32bit)   <-
-#        ->   openbsd              (32bit)   <-
-#        ->   openbsd-threads      (32bit)   <-
-#
-# ~ia64 ~s390 alpha(?)
-
-inherit toolchain-funcs
-
-DESCRIPTION="Filesystem benchmarking program"
-HOMEPAGE="http://www.iozone.org/"
-SRC_URI="http://www.iozone.org/src/current/${PN}${PV/./_}.tar"
-
-LICENSE="freedist"
-SLOT="0"
-KEYWORDS="~amd64 ~arm ~ia64 ~ppc ~ppc64 ~sparc ~x86"
-IUSE=""
-
-S=${WORKDIR}/${PN}${PV/./_}
-
-src_prepare() {
-	default
-
-	# Options FIX
-	sed -i -e "s:CC	=.*:CC	=$(tc-getCC):g" \
-		-e "s:-O3:${CFLAGS}:g" src/current/makefile || die
-}
-
-src_configure() {
-	case ${ARCH} in
-		x86|alpha)	PLATFORM="linux";;
-		arm)		PLATFORM="linux-arm";;
-		ppc)		PLATFORM="linux-powerpc";;
-		ppc64)		PLATFORM="linux-powerpc64";;
-		amd64)		PLATFORM="linux-AMD64";;
-		ia64)		PLATFORM="linux-ia64";;
-		s390)		PLATFORM="linux-S390";;
-		*)		PLATFORM="linux-${ARCH}";;
-	esac
-}
-
-src_compile() {
-	emake -C src/current ${PLATFORM}
-}
-
-src_test() {
-	cd "${T}" || die
-	"${S}"/src/current/iozone testfile || die "self test failed"
-}
-
-src_install() {
-	dosbin src/current/{iozone,fileop}
-
-	# decompress pre-compressed file to make QA check happy
-	gzip -d docs/Iozone_ps.gz || die
-
-	dodoc docs/I* docs/Run_rules.doc src/current/Changes.txt
-	doman docs/iozone.1
-	cd src/current || die
-	dodoc Generate_Graphs Gnuplot.txt gengnuplot.sh gnu3d.dem
-}

diff --git a/app-benchmarks/iozone/iozone-3.487.ebuild b/app-benchmarks/iozone/iozone-3.487.ebuild
deleted file mode 100644
index c104e9f4dddc..000000000000
--- a/app-benchmarks/iozone/iozone-3.487.ebuild
+++ /dev/null
@@ -1,76 +0,0 @@
-# Copyright 1999-2022 Gentoo Authors
-# Distributed under the terms of the GNU General Public License v2
-
-EAPI="7"
-
-# TODO
-#        ->   linux-arm            (32bit)   <-
-#        ->   linux-AMD64          (64bit)   <-
-#        ->   linux-ia64           (64bit)   <-
-#        ->   linux-powerpc        (32bit)   <-
-#        ->   linux-powerpc64      (64bit)   <-
-#        ->   linux-S390           (32bit)   <-
-#        ->   linux-S390X          (64bit)   <-
-#
-#        ->   freebsd              (32bit)   <-
-#        ->   macosx               (32bit)   <-
-#        ->   netbsd               (32bit)   <-
-#        ->   openbsd              (32bit)   <-
-#        ->   openbsd-threads      (32bit)   <-
-#
-# ~ia64 ~s390 alpha(?)
-
-inherit toolchain-funcs
-
-DESCRIPTION="Filesystem benchmarking program"
-HOMEPAGE="http://www.iozone.org/"
-SRC_URI="http://www.iozone.org/src/current/${PN}${PV/./_}.tar"
-
-LICENSE="freedist"
-SLOT="0"
-KEYWORDS="~amd64 ~arm ~ia64 ~ppc ~ppc64 ~sparc ~x86"
-IUSE=""
-
-S=${WORKDIR}/${PN}${PV/./_}
-
-src_prepare() {
-	default
-
-	# Options FIX
-	sed -i -e "s:CC	=.*:CC	=$(tc-getCC):g" \
-		-e "s:-O3:${CFLAGS}:g" src/current/makefile || die
-}
-
-src_configure() {
-	case ${ARCH} in
-		x86|alpha)	PLATFORM="linux";;
-		arm)		PLATFORM="linux-arm";;
-		ppc)		PLATFORM="linux-powerpc";;
-		ppc64)		PLATFORM="linux-powerpc64";;
-		amd64)		PLATFORM="linux-AMD64";;
-		ia64)		PLATFORM="linux-ia64";;
-		s390)		PLATFORM="linux-S390";;
-		*)		PLATFORM="linux-${ARCH}";;
-	esac
-}
-
-src_compile() {
-	emake -C src/current ${PLATFORM}
-}
-
-src_test() {
-	cd "${T}" || die
-	"${S}"/src/current/iozone testfile || die "self test failed"
-}
-
-src_install() {
-	dosbin src/current/{iozone,fileop}
-
-	# decompress pre-compressed file to make QA check happy
-	gzip -d docs/Iozone_ps.gz || die
-
-	dodoc docs/I* docs/Run_rules.doc src/current/Changes.txt
-	doman docs/iozone.1
-	cd src/current || die
-	dodoc Generate_Graphs Gnuplot.txt gengnuplot.sh gnu3d.dem
-}


^ permalink raw reply related	[flat|nested] 21+ messages in thread

* [gentoo-commits] repo/gentoo:master commit in: app-benchmarks/iozone/
@ 2022-10-18 11:05 Jakov Smolić
  0 siblings, 0 replies; 21+ messages in thread
From: Jakov Smolić @ 2022-10-18 11:05 UTC (permalink / raw
  To: gentoo-commits

commit:     4dc83e415c6b28452fcfeaa3c0ef6ff965720c19
Author:     Xin Yang <yangmame <AT> icloud <DOT> com>
AuthorDate: Sat Oct 15 07:03:09 2022 +0000
Commit:     Jakov Smolić <jsmolic <AT> gentoo <DOT> org>
CommitDate: Tue Oct 18 11:04:39 2022 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=4dc83e41

app-benchmarks/iozone: keyword 3.488 riscv, #876499

Signed-off-by: Xin Yang <yangmame <AT> icloud.com>
Closes: https://github.com/gentoo/gentoo/pull/27726
Signed-off-by: Jakov Smolić <jsmolic <AT> gentoo.org>

 app-benchmarks/iozone/iozone-3.488.ebuild | 18 +++++++++---------
 1 file changed, 9 insertions(+), 9 deletions(-)

diff --git a/app-benchmarks/iozone/iozone-3.488.ebuild b/app-benchmarks/iozone/iozone-3.488.ebuild
index d564c8a49563..eeac2f98f9eb 100644
--- a/app-benchmarks/iozone/iozone-3.488.ebuild
+++ b/app-benchmarks/iozone/iozone-3.488.ebuild
@@ -11,7 +11,7 @@ SRC_URI="http://www.iozone.org/src/current/${PN}${PV/./_}.tar"
 
 LICENSE="freedist"
 SLOT="0"
-KEYWORDS="amd64 arm ~ia64 ppc ppc64 ~sparc x86"
+KEYWORDS="amd64 arm ~ia64 ppc ppc64 ~riscv ~sparc x86"
 
 S="${WORKDIR}/${PN}${PV/./_}"
 
@@ -32,14 +32,14 @@ src_configure() {
 	tc-export CC
 
 	case ${ARCH} in
-		x86|alpha)  PLATFORM="linux";;
-		arm)        PLATFORM="linux-arm";;
-		ppc)        PLATFORM="linux-powerpc";;
-		ppc64)      PLATFORM="linux-powerpc64";;
-		amd64)      PLATFORM="linux-AMD64";;
-		ia64)       PLATFORM="linux-ia64";;
-		s390)       PLATFORM="linux-S390";;
-		*)          PLATFORM="linux-${ARCH}";;
+		x86|alpha|riscv)  PLATFORM="linux";;
+		arm)              PLATFORM="linux-arm";;
+		ppc)              PLATFORM="linux-powerpc";;
+		ppc64)            PLATFORM="linux-powerpc64";;
+		amd64)            PLATFORM="linux-AMD64";;
+		ia64)             PLATFORM="linux-ia64";;
+		s390)             PLATFORM="linux-S390";;
+		*)                PLATFORM="linux-${ARCH}";;
 	esac
 
 	# makefile uses $(GCC) in a few places, probably


^ permalink raw reply related	[flat|nested] 21+ messages in thread

end of thread, other threads:[~2022-10-18 11:05 UTC | newest]

Thread overview: 21+ messages (download: mbox.gz follow: Atom feed
-- links below jump to the message on this page --
2018-04-16 22:54 [gentoo-commits] repo/gentoo:master commit in: app-benchmarks/iozone/ Aaron Bauman
  -- strict thread matches above, loose matches on Subject: below --
2022-10-18 11:05 Jakov Smolić
2022-03-19 22:51 David Seifert
2022-01-05 10:01 David Seifert
2021-09-07  2:44 Sam James
2021-03-03 21:04 Sergei Trofimovich
2021-01-07 15:07 Sam James
2021-01-07 10:09 Sam James
2021-01-04 15:32 Sam James
2020-12-24 10:03 Agostino Sarubbo
2019-02-14 18:45 Thomas Deutschmann
2018-11-28  2:07 Thomas Deutschmann
2018-05-30 18:02 Mikle Kolyada
2018-05-26 12:51 David Seifert
2018-05-17 21:18 Sergei Trofimovich
2018-05-11 22:43 Sergei Trofimovich
2018-04-20  6:54 Sergei Trofimovich
2018-04-17 22:09 Thomas Deutschmann
2017-12-28 15:07 David Seifert
2017-10-08 11:00 Michał Górny
2015-12-21 15:09 Patrick Lauer

This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox